/* Bootstrap overrides */


body { 
	/* background-color: powderblue; */
	padding: 70px;  /* because of navbar takes up space out page layout */ 
	background-color: #fff;
	/* from fip */
	color: #404040;
    font-family: sans-serif;
    /* font-size: 16px; */
    font-size: 1rem;
    /* line-height: 1.5; */
	font-weight: 400;
    /* background-color: rgb(230, 230, 222); */
}

/*Styles for the login screen*/

#login {
  padding-top: 40px;
  padding-bottom: 40px;
  background-color: #eee;
}

.form-signin {
  max-width: 330px;
  padding: 15px;
  margin: 0 auto;
}
.form-signin .form-signin-heading,
.form-signin .checkbox {
  margin-bottom: 10px;
}
.form-signin .checkbox {
  font-weight: normal;
}
.form-signin .form-control {
  position: relative;
  height: auto;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  padding: 10px;
  font-size: 16px;
}
.form-signin .form-control:focus {
  z-index: 2;
}
.form-signin input[type="email"] {
  margin-bottom: -1px;
  border-bottom-right-radius: 0;
  border-bottom-left-radius: 0;
}
.form-signin input[type="password"] {
  margin-bottom: 10px;
  border-top-left-radius: 0;
  border-top-right-radius: 0;
}

.err{
  color: red;
  padding-left: 35px;
}

.noerr{
  color: green; /* green */
  padding-left: 35px;
}


/* over ride of Bootstrap */
.btn-sm {
    font-size: 1rem;
}
h1, h2, h3, h4 {
	color:#00ccff; /* FIP colour */
}

/* to match bootstrap */
.h3, h3 {
  font-size: 1.75rem;
}
.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6 {
  margin-bottom: .5rem;
  font-family: inherit;
  font-weight: 500;
  line-height: 1.2;
}


/* dd used in help pages */
dd {
    margin-bottom: 0.0rem;
}

/*--------------------------------------------------------------
## Links
--------------------------------------------------------------*/
a {
	color: royalblue;
}

/*
a:visited {
	color: purple;
}
*/

a:hover, a:focus, a:active {
	color: midnightblue;
}

a:focus {
	outline: thin dotted;
}

a:hover, a:active {
	outline: 0;
}

/* radio button */
.big{ width: 1em; height: 1em; }

.bigbox { width: 1.5em; height: 1.5em; }
/*---------------List page ----------------------------------- */

.blue_body {
	background-color: powderblue; 
 	padding-top: 0 !important; /* overrides top padding in body */
	padding-left: 0 !important; /* override left 70 padding */
}


/* use for list and search */
.wide_body {
	background-color: #FFF; 
 	padding-top: 0 !important; /* overrides top padding in body */
	padding-left: 0 !important; /* override left 70 padding */
}

/* stx colours for status in style.php */

.widecontainer {
	width: 2500px;
	overflow-x: scroll; 
}

a:link, a:visited {
  background-color:transparent;
  color: royalblue;
  /* border: 2px solid; */
  padding: 5px 10px;
  /* text-align: center; */
  text-decoration:underline;
  display: inline-block;
}

/*
a:visited {
 color: purple;
}
*/

a:hover, a:active {
  /* background-color:#007bff; */
  background-color: #17a2b8;
  color: white;
  border-radius: .25rem;	
}

.btn-search {
  display: inline-block;
  font-weight: 400;
  text-align: center;
  white-space: nowrap;
  vertical-align: middle;
  color: purple;
  background-color: light;
  border-color: #17a2b8;
  padding: .37rem 1rem; 
  font-size: 1rem;
  line-height: 1.5;
  border-radius: .25rem;	
}
.btn-search:hover {
  display: inline-block;
  font-weight: 400;
  text-align: center;
  white-space: nowrap;
  vertical-align: middle;
  color: #fff;
  background-color: #17a2b8;
  border-color: #17a2b8;
  /* padding: .375rem .75rem;  */
  font-size: 1rem;
  line-height: 1.5;
  border-radius: .25rem;	
}


/* makes all select blue - hover title but all pull down */
/*
select:hover {
  background-color: #17a2b8;
  color: #fff;
}

*/

/*
select:focus {
    background-color: #17a2b8;
	color: white;
}
*/

/* input box colour 
input:focus {
    background-color: lightblue;
}
*/

/* make submit button blue on hover when set for class submit */
.submit:hover {
  background-color: #17a2b8;
  color: #fff;
}

input::file-selector-button {
    font-weight: bold;
    color: blue;
    padding: 1em;
	border-color: #17a2b8;
    border-radius: 3px;
}
input::file-selector-button:hover {
	background-color: #17a2b8;
    font-weight: bold;
    color: white;
    padding: 1em;
	border-color: #17a2b8;
    border-radius: 3px;
}


/* Tooltip container - bootstrap version*/
/* needed to change tooltip to ttip and for ttiptext all through before would work with bootstrap */
/* see W3 schools tooltip https://www.w3schools.com/css/css_tooltip.asp */
/* Tooltips for projectList - position top*/
.ttip {
  position: relative;
  display: inline-block;
  border-bottom: 1px dotted blue; /* If you want dots under the hoverable text */
}
/* Tooltip text */

/* top */
.ttip .ttiptext {
  visibility: hidden;
  width: 200px;
  background-color: #F2F2F2;
  color: black;
  text-align: center;
  padding: 5px 0;
  border-radius: 6px;
  /* Position the tooltip text - see examples below! */
  position: absolute;
  z-index: 1; 
  /* position at top */
  bottom: 100%;
  left: 50%;
  margin-left: -100px; /* Use half of the width (120/2 = 60), to center the tooltip */
}
/* Show the tooltip text when you mouse over the tooltip container */
.ttip:hover .ttiptext {
  visibility: visible;
}

/* Tooltips for projectAdd - position left side */
/* Left Tooltip */
.ttipl {
  position: relative;
  display: inline-block;
  border-bottom: 1px dotted black; /* If you want dots under the hoverable text */
}
.ttipl .ttiptextl {
  visibility: hidden;
  width: 200px;
  background-color: #F2F2F2;
  color: black;
  text-align: center;
  padding: 5px 0;
  border-radius: 6px;
 
  /* Position the tooltip text */
  position: absolute;
  z-index: 1;
  /*  Left Tooltip */
  top: -5px;
  right: 105%; 
}   
/* Show the tooltip text when you mouse over the tooltip container */
.ttipl:hover .ttiptextl {
  visibility: visible;
}

/*-- popup css   */

.popup-content { /* popup box placing for notes*/
  	position: fixed; /* fixed is relative to viewport so shows when scrolled down */
  	top: 50px;
  	left: 1300px;
  	border-width: 5px;
  	border-style: dotted;
  	color: grey;
  	padding: 2px;
}
.popup-deliver { /* popup box placing for deliverables */
  	position: fixed; /* fixed is relative to viewport so shows when scrolled down */
  	top: 40px;
  	left: 1300px;
  	border-width: 5px;
  	border-style: dotted;
  	color: grey;
  	padding: 2px;
}
.poptext { /* class for textarea to set text in the box */
	padding:8px;
	font-size:1rem;	
	color: #404040;
}


/* Other positions - see W3 schools
Right Tooltip
  top: -5px;
  left: 105%;
 
Left Tooltip
  top: -5px;
  right: 105%;

position at bottom  
  width: 120px;
  top: 100%;
  left: 50%;
  margin-left: -60px; 
*/



